Bug 155421 - distorted esd sounds on ICH5 hardware
distorted esd sounds on ICH5 hardware
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: esound (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-20 03:33 EDT by Marius Andreiana
Modified: 2013-03-13 00:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 17:06:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marius Andreiana 2005-04-20 03:33:09 EDT
GNOME sounds and xmms with esd output plugin make distorted sounds.
Switching xmms to alsa and ogg123 in command line work ok.

My hardware on i865 chipset motherboard:
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER
(ICH5/ICH5R) AC'97 Audio Controller (rev 02)
        Subsystem: Giga-byte Technology GA-8IPE1000/8KNXP motherboard
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 9
        Region 0: I/O ports at dc00 [size=256]
        Region 1: I/O ports at e000 [size=64]
        Region 2: Memory at f8181000 (32-bit, non-prefetchable)
[size=512]
        Region 3: Memory at f8182000 (32-bit, non-prefetchable)
[size=256]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0
+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-


I have these modules loaded automatically by kernel:
# lsmod|grep snd
snd_intel8x0           34689  1
snd_ac97_codec         75960  1 snd_intel8x0
snd_pcm_oss            51185  0
snd_mixer_oss          17728  1 snd_pcm_oss
snd_pcm               100041  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              33477  1 snd_pcm
snd                    57157  8
snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              10913  1 snd
snd_page_alloc          9669  2 snd_intel8x0,snd_pcm

Replicable: 100%
esdplay /usr/share/sounds/gaim/receive.wav

This works ok:
play /usr/share/sounds/gaim/receive.wav

Fedora-test-list thread suggested alsa's dmix as an alternative, could this be
the default and drop esd?

Thanks
Comment 1 John (J5) Palmieri 2005-04-20 17:06:01 EDT
We default to ALSA by default though with dmix disabled for some reason.  Might
want to file a bug against alsa.  As for the esd you will need to file this
upstream.
Comment 2 Marius Andreiana 2005-04-21 00:54:11 EDT
Filled upstream alsa bug report here:
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=1068

About defaulting to alsa, GNOME still uses esd. This can be checked in
Preferences - Sound, the box "Enable sound server startup" is checked. 
Comment 3 Marius Andreiana 2005-04-21 06:27:40 EDT
I added a new user for testing and esd isn't started by default. However,
without this option checked, one cannot select "Sounds for events".

Note You need to log in before you can comment on or make changes to this bug.